Bug 1402013 (CVE-2016-9793) - CVE-2016-9793 kernel: Signed overflow for SO_{SND|RCV}BUFFORCE
Summary: CVE-2016-9793 kernel: Signed overflow for SO_{SND|RCV}BUFFORCE
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9793
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161202,repor...
Depends On: 1402014 1412473 1412474 1412475 1412476 1412477
Blocks: 1402019
TreeView+ depends on / blocked
 
Reported: 2016-12-06 15:07 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
33 users (show)

Fixed In Version: kernel 4.9-rc8
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of setsockopt for the SO_{SND|RCV}BUFFORCE setsockopt() system call. Users with non-namespace CAP_NET_ADMIN are able to trigger this call and create a situation in which the sockets sendbuff data size could be negative. This could adversely affect memory allocations and create situations where the system could crash or cause memory corruption.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:03:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0931 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-04-12 14:51:25 UTC
Red Hat Product Errata RHSA-2017:0932 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-04-12 14:51:03 UTC
Red Hat Product Errata RHSA-2017:0933 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-04-12 17:29:20 UTC

Description Adam Mariš 2016-12-06 15:07:40 UTC
A flaw was found in the Linux kernels implementation of setsockopt for the SO_{SND|RCV}BUFFORCE setsockopt() system call.  Users with non-namespace CAP_NET_ADMIN are able to trigger this call and create a situation in which the sockets sendbuff data size could be negative.

This could adversely affect memory allocations and create situations where the system could crash or cause memory corruption.

This situation affects SO_SNDBUFF and SO_RCVBUFF similarly as shown in CVE-2012-6704.

Upstream patch:

https://github.com/torvalds/linux/commit/b98b0bc8c431e3ceb4b26b0dfc8db509518fb290

CVE assignment:

http://seclists.org/oss-sec/2016/q4/574

Comment 1 Adam Mariš 2016-12-06 15:08:40 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1402014]

Comment 3 Wade Mealing 2017-01-12 06:05:16 UTC
Statement:

This issue does not affect the kernels as shipping with Red Hat Enterprise Linux 5 and 6.  This issue does affect kernels 7, MRG-2 and realtime kernels and plans to be fixed in a future update.

Comment 9 errata-xmlrpc 2017-04-12 10:52:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:0932 https://access.redhat.com/errata/RHSA-2017:0932

Comment 10 errata-xmlrpc 2017-04-12 10:56:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0931 https://access.redhat.com/errata/RHSA-2017:0931

Comment 11 errata-xmlrpc 2017-04-12 13:30:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0933 https://access.redhat.com/errata/RHSA-2017:0933


Note You need to log in before you can comment on or make changes to this bug.